# Creeper (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.entity, interface: Creeper

Package org.bukkit.entity

# Interface Creeper

All Superinterfaces:
  `Attributable`, `Audience`, `CommandSender`, `Creature`, `Damageable`, `Entity`, `HoverEventSource<HoverEvent.ShowEntity>`, `LivingEntity`, `Lootable`, `Metadatable`, `Mob`, `Monster`, `Nameable`, `Permissible`, `PersistentDataHolder`, `Pointered`, `ProjectileSource`, `ServerOperator`, `Sound.Emitter`

public interface Creeper extends Monster
Represents a Creeper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.entity.Entity

`Entity.Spigot`

## Method Summary

Modifier and Type
Method
Description
`void`
`explode()`
Makes this Creeper explode instantly.
`int`
`getExplosionRadius()`
Get the explosion radius in which this Creeper's explosion will affect.
`int`
`getFuseTicks()`
Get the maximum fuse ticks for this Creeper, where the ticks is the amount of time in which a creeper has been in the primed state.
`int`
`getMaxFuseTicks()`
Get the maximum fuse ticks for this Creeper, where the maximum ticks is the amount of time in which a creeper is allowed to be in the primed state before exploding.
`void`
`ignite()`
Ignites this Creeper, beginning its fuse.
`boolean`
`isIgnited()`
Check if creeper is ignited or not (armed to explode)
`boolean`
`isPowered()`
Checks if this Creeper is powered (Electrocuted)
`void`
`setExplosionRadius(int radius)`
Set the explosion radius in which this Creeper's explosion will affect.
`void`
`setFuseTicks(int ticks)`
Set the fuse ticks for this Creeper, where the ticks is the amount of time in which a creeper has been in the primed state.
`void`
`setIgnited(boolean ignited)`
Set whether creeper is ignited or not (armed to explode)
`void`
`setMaxFuseTicks(int ticks)`
Set the maximum fuse ticks for this Creeper, where the maximum ticks is the amount of time in which a creeper is allowed to be in the primed state before exploding.
`void`
`setPowered(boolean value)`
Sets the Powered status of this Creeper

### Methods inherited from interface org.bukkit.attribute.Attributable

`getAttribute, registerAttribute`

### Methods inherited from interface net.kyori.adventure.audience.Audience

`clearTitle, filterAudience, forEachAudience, hideBossBar, openBook, openBook, playSound, playSound, playSound, resetTitle, sendActionBar, sendActionBar, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlayerListFooter, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeader, sendPlayerListHeaderAndFooter, sendPlayerListHeaderAndFooter, sendTitlePart, showBossBar, showTitle, stopSound, stopSound`

### Methods inherited from interface org.bukkit.command.CommandSender

`getName, name, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage`

### Methods inherited from interface org.bukkit.entity.Damageable

`damage, damage, getAbsorptionAmount, getHealth, getMaxHealth, resetMaxHealth, setAbsorptionAmount, setHealth, setMaxHealth`

### Methods inherited from interface org.bukkit.entity.Entity

`addPassenger, addScoreboardTag, asHoverEvent, eject, fromMobSpawner, getBoundingBox, getChunk, getEntityId, getEntitySpawnReason, getFacing, getFallDistance, getFireTicks, getFreezeTicks, getHeight, getLastDamageCause, getLocation, getLocation, getMaxFireTicks, getMaxFreezeTicks, getNearbyEntities, getOrigin, getPassenger, getPassengers, getPistonMoveReaction, getPortalCooldown, getPose, getScoreboardTags, getServer, getTicksLived, getTrackedPlayers, getType, getUniqueId, getVehicle, getVelocity, getWidth, getWorld, hasGravity, isCustomNameVisible, isDead, isEmpty, isFrozen, isGlowing, isInBubbleColumn, isInLava, isInRain, isInsideVehicle, isInvulnerable, isInWater, isInWaterOrBubbleColumn, isInWaterOrRain, isInWaterOrRainOrBubbleColumn, isOnGround, isPersistent, isSilent, isTicking, isValid, isVisualFire, leaveVehicle, playEffect, remove, removePassenger, removeScoreboardTag, setCustomNameVisible, setFallDistance, setFireTicks, setFreezeTicks, setGlowing, setGravity, setInvulnerable, setLastDamageCause, setPassenger, setPersistent, setPortalCooldown, setRotation, setSilent, setTicksLived, setVelocity, setVisualFire, spawnAt, spawnAt, spigot, teamDisplayName, teleport, teleport, teleport, teleport, teleportAsync, teleportAsync`

### Methods inherited from interface net.kyori.adventure.text.event.HoverEventSource

`asHoverEvent`

### Methods inherited from interface org.bukkit.entity.LivingEntity

`addPotionEffect, addPotionEffect, addPotionEffects, attack, clearActiveItem, getActiveItem, getActivePotionEffects, getArrowCooldown, getArrowsInBody, getArrowsStuck, getBeeStingerCooldown, getBeeStingersInBody, getCanPickupItems, getCategory, getCollidableExemptions, getEyeHeight, getEyeHeight, getEyeLocation, getHandRaised, getHandRaisedTime, getHurtDirection, getItemUseRemainingTime, getKiller, getLastDamage, getLastTwoTargetBlocks, getLeashHolder, getLineOfSight, getMaximumAir, getMaximumNoDamageTicks, getMemory, getNoDamageTicks, getPotionEffect, getRemainingAir, getRemoveWhenFarAway, getShieldBlockingDelay, getTargetBlock, getTargetBlock, getTargetBlock, getTargetBlockExact, getTargetBlockExact, getTargetBlockFace, getTargetBlockFace, getTargetBlockInfo, getTargetBlockInfo, getTargetEntity, getTargetEntity, getTargetEntityInfo, getTargetEntityInfo, hasAI, hasLineOfSight, hasLineOfSight, hasPotionEffect, isClimbing, isCollidable, isGliding, isHandRaised, isInvisible, isJumping, isLeashed, isRiptiding, isSleeping, isSwimming, playPickupItemAnimation, playPickupItemAnimation, rayTraceBlocks, rayTraceBlocks, removePotionEffect, setAI, setArrowCooldown, setArrowsInBody, setArrowsStuck, setBeeStingerCooldown, setBeeStingersInBody, setCanPickupItems, setCollidable, setGliding, setHurtDirection, setInvisible, setJumping, setKiller, setLastDamage, setLeashHolder, setMaximumAir, setMaximumNoDamageTicks, setMemory, setNoDamageTicks, setRemainingAir, setRemoveWhenFarAway, setShieldBlockingDelay, setSwimming, swingMainHand, swingOffHand`

### Methods inherited from interface org.bukkit.loot.Lootable

`clearLootTable, getLootTable, getSeed, hasLootTable, setLootTable, setLootTable, setSeed`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.entity.Mob

`getEquipment, getHeadRotationSpeed, getMaxHeadPitch, getPathfinder, getTarget, isAware, isInDaylight, isLeftHanded, lookAt, lookAt, lookAt, lookAt, lookAt, lookAt, setAware, setLeftHanded, setTarget`

### Methods inherited from interface org.bukkit.Nameable

`customName, customName, getCustomName, setCustomName`

### Methods inherited from interface org.bukkit.permissions.Permissible

`addAttachment, addAttachment, addAttachment, addAttachment, getEffectivePermissions, hasPermission, hasPermission, isPermissionSet, isPermissionSet, permissionValue, permissionValue, recalculatePermissions, removeAttachment`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

### Methods inherited from interface net.kyori.adventure.pointer.Pointered

`get, getOrDefault, getOrDefaultFrom, pointers`

### Methods inherited from interface org.bukkit.projectiles.ProjectileSource

`launchProjectile, launchProjectile`

### Methods inherited from interface org.bukkit.permissions.ServerOperator

`isOp, setOp`

## Method Details

### isPowered

boolean isPowered()
Checks if this Creeper is powered (Electrocuted)

Returns:
  true if this creeper is powered

### setPowered

void setPowered(boolean value)
Sets the Powered status of this Creeper

Parameters:
  `value` - New Powered status

### setMaxFuseTicks

void setMaxFuseTicks(int ticks)
Set the maximum fuse ticks for this Creeper, where the maximum ticks is the amount of time in which a creeper is allowed to be in the primed state before exploding.

Parameters:
  `ticks` - the new maximum fuse ticks

### getMaxFuseTicks

int getMaxFuseTicks()
Get the maximum fuse ticks for this Creeper, where the maximum ticks is the amount of time in which a creeper is allowed to be in the primed state before exploding.

Returns:
  the maximum fuse ticks

### setFuseTicks

void setFuseTicks(int ticks)
Set the fuse ticks for this Creeper, where the ticks is the amount of time in which a creeper has been in the primed state.

Parameters:
  `ticks` - the new fuse ticks

### getFuseTicks

int getFuseTicks()
Get the maximum fuse ticks for this Creeper, where the ticks is the amount of time in which a creeper has been in the primed state.

Returns:
  the fuse ticks

### setExplosionRadius

void setExplosionRadius(int radius)
Set the explosion radius in which this Creeper's explosion will affect.

Parameters:
  `radius` - the new explosion radius

### getExplosionRadius

int getExplosionRadius()
Get the explosion radius in which this Creeper's explosion will affect.

Returns:
  the explosion radius

### explode

void explode()
Makes this Creeper explode instantly. The resulting explosion can be cancelled by an `ExplosionPrimeEvent` and obeys the mob griefing gamerule.

### ignite

void ignite()
Ignites this Creeper, beginning its fuse. The amount of time the Creeper takes to explode will depend on what `setMaxFuseTicks(int)` is set as. The resulting explosion can be cancelled by an `ExplosionPrimeEvent` and obeys the mob griefing gamerule.

### setIgnited

void setIgnited(boolean ignited)
Set whether creeper is ignited or not (armed to explode)

Parameters:
  `ignited` - New ignited state

### isIgnited

boolean isIgnited()
Check if creeper is ignited or not (armed to explode)

Returns:
  Ignited state